GET /user/projects
Returns the projects on your remoet.dev profile, sorted with current first then by start date descending.
Basic Information
- type:
REST - method:
GET - url: https://api.remoet.dev/user/projects
- returns:
JSON
cURL
curl --location 'https://api.remoet.dev/user/projects' --header 'Authorization: Bearer <Your key>'HTTP
GET /user/projects HTTP/1.1
Host: api.remoet.dev
Authorization: Bearer <Your key>Javascript Fetch
const myHeaders = new Headers();
myHeaders.append("Authorization", `Bearer ${key}`);
const requestOptions = {
method: "GET",
headers: myHeaders,
};
fetch("https://api.remoet.dev/user/projects", requestOptions)
.then((response) => response.text())
.then((result) => console.log(result))
.catch((error) => console.error(error));DTO
class PublicUserProjectDto {
title: string;
shortDescription: string;
technologies: string[];
isCurrent: boolean;
isRemote: boolean;
isOpenSource: boolean;
// Nullable fields
description: string | null;
role: string | null;
startDate: Date | null;
endDate: Date | null;
repoUrl: string | null;
demoUrl: string | null;
jobId: string | null;
}Response
[
{
"title": <string>,
"shortDescription": <string>,
"technologies": [<string>],
"isCurrent": <boolean>,
"isRemote": <boolean>,
"isOpenSource": <boolean>,
"description": <string | null>,
"role": <string | null>,
"startDate": <Date>,
"endDate": <Date>,
"repoUrl": <string | null>,
"demoUrl": <string | null>,
"jobId": <string | null>
}
]Non authenticated response
{
"statusCode": 401,
"message": "Invalid API Key",
"error": "Unauthorized"
}See also
/user/full— same projects plus the rest of your profile- Authorization
- Errors
Last updated on